Description

This patch allows you to edit the HTML meta tags for description and keywords from the Administration > Settings

page. By default it will use 'redMine' for description and 'issue,bug,tracker' for keywords. This patch also updates

all the language files to have the symbols for setting_meta_description and setting_meta_keywords. I only have translations

for English though.

I also added the items to the user documentation (for English only). Someone else will have to convert the xml

to documentation, because I can't get docbook to work.

Related issues:

Related to Redmine - Feature #3121: Per-project meta descriptions and keywords New 2009-04-05

Related to Redmine - Feature #7983: Use project description, Wiki content etc... New 2011-03-24

History

#1 - 2007-08-17 07:50 - Jean-Philippe Lang

No patch attached.

The checkbox was not checked :-)

#2 - 2007-08-17 14:38 - Matt Jones

Doh. I'm on a roll of messing up things right now. Someone

should fix it so you don't have to use that silly check box

to attach files.

#3 - 2010-04-14 23:37 - Christoph Kappel

Nice idea, another thing that makes my own redmine not updateable anymore. ;)

#4 - 2010-08-21 22:15 - Jean-Baptiste Barth

- Status changed from New to Closed

I guess it could easily be implemented in a plugin (you just have to override layout file), so I close this issue and encourage interested persons to try

implementing such a plugin.

#5 - 2011-03-24 12:49 - Andriy Lesyuk

I believe it should not be plugin! I believe Redmine should use more useful meta description (not sure about keywords)! For example:

For project page it should use short project description by default;

For news it should use several first sentences;

For Wiki it should use first sentences too;

etc.

#6 - 2011-03-25 13:00 - Andriy Lesyuk

Well... Seems like I'm the interested person (needed META for Facebook Like plugin): :)

http://www.redmine.org/plugins/meta

Anyway I still believe this should be in core!
